> ## Documentation Index
> Fetch the complete documentation index at: https://forge.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Laravel Pulse integration status

> Show whether Laravel Pulse integration is enabled.

Processing mode: <small><code>sync</code></small>



## OpenAPI

````yaml https://forge.laravel.com/api/docs.openapi get /orgs/{organization}/servers/{server}/sites/{site}/integrations/pulse
openapi: 3.1.0
info:
  title: Forge
  version: 0.0.1
  description: Laravel Forge - API Documentation
servers:
  - url: https://forge.laravel.com/api
security:
  - http: []
  - oauth2: []
tags:
  - name: Roles
  - name: Sites
  - name: Organizations
  - name: Storage Providers
  - name: Recipes
  - name: Servers
  - name: Background Processes
  - name: Nginx
  - name: Databases
  - name: Backups
  - name: Monitors
  - name: Firewall Rules
  - name: Logs
  - name: SSH Keys
  - name: Scheduled Jobs
  - name: Security Rules
  - name: Redirect Rules
  - name: Integrations
  - name: Deployments
  - name: Commands
  - name: Teams
  - name: Server Credentials
  - name: User
  - name: Providers
paths:
  /orgs/{organization}/servers/{server}/sites/{site}/integrations/pulse:
    get:
      tags:
        - Integrations
      summary: Get Laravel Pulse integration status
      description: |-
        Show whether Laravel Pulse integration is enabled.

        Processing mode: <small><code>sync</code></small>
      operationId: organizations.servers.sites.integrations.pulse.show
      parameters:
        - name: organization
          in: path
          required: true
          description: The organization slug
          schema:
            type: string
        - name: server
          in: path
          required: true
          description: The server ID
          schema:
            type: integer
        - name: site
          in: path
          required: true
          description: The site ID
          schema:
            type: integer
      responses:
        '200':
          description: '`PulseIntegrationResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PulseIntegrationResource'
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/BackgroundProcessResource'
                required:
                  - data
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
      security:
        - oauth2:
            - server:view
components:
  schemas:
    PulseIntegrationResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - pulseIntegrations
        attributes:
          type: object
          properties:
            enabled:
              type: string
            pulse_installed:
              type: boolean
          required:
            - enabled
            - pulse_installed
        relationships:
          type: object
          properties:
            backgroundProcess:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/BackgroundProcessResourceIdentifier'
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: PulseIntegrationResource
    BackgroundProcessResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - backgroundProcesses
        attributes:
          type: object
          properties:
            command:
              type: string
              description: The command that the background process is running.
              examples:
                - php artisan queue:work database
            user:
              type: string
              description: The user that the background process is running as.
              examples:
                - forge
            directory:
              type:
                - string
                - 'null'
              description: The directory that the background process is running in.
              examples:
                - /home/forge/forge.laravel.com
            processes:
              type: integer
              description: The number of processes that the background process is running.
              examples:
                - 3
            status:
              type: string
              description: The status of the background process.
              enum:
                - installing
                - installed
                - removing
                - restarting
                - starting
                - stopping
              examples:
                - running
            created_at:
              type: string
              format: date-time
              description: The date and time the background process was created.
              examples:
                - '2025-07-29T09:00:00Z'
          required:
            - command
            - user
            - directory
            - processes
            - status
            - created_at
      required:
        - id
        - type
      title: BackgroundProcessResource
    BackgroundProcessResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - backgroundProcesses
        id:
          type: string
      required:
        - type
        - id
      title: BackgroundProcessResourceIdentifier
    Link:
      type: object
      properties:
        href:
          type: string
          format: uri
        rel:
          type: string
        describedby:
          type: string
        title:
          type: string
        type:
          type: string
        hreflang:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        meta:
          type: object
      required:
        - href
      title: Link
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://forge.laravel.com/oauth/authorize
          tokenUrl: https://forge.laravel.com/oauth/token
          scopes:
            organization:view: Allow members to view the organization
            organization:manage: Allow members to manage the organization
            organization:delete: Allow members to delete the organization
            server:view: Allow members to view servers
            server:create: Allow members to create servers
            server:delete: Allow members to delete servers
            server:archive: Allow members to archive servers
            server:transfer: Allow members to transfer servers to another Forge account
            server:manage-meta: >-
              Allow members to change server settings such as name and IP
              address
            server:manage-packages: >-
              Allow members to configure and remove server and site package
              authentication
            server:manage-php: Allow members to install and change PHP installations
            server:manage-logs: Allow members to clear server and site logs
            server:manage-network: Allow members to change the server‘s firewall
            server:manage-nginx-templates: Allow members to manage Nginx templates
            server:manage-services: Allow members to start, stop and restart services
            server:manage-password: Allow members to reset the sudo password
            server:create-keys: Allow members to add SSH keys to servers
            server:delete-keys: Allow members to remove SSH keys from servers
            server:create-monitors: Allow members to create server monitors
            server:delete-monitors: Allow members to delete server monitors
            server:create-databases: Allow members to create databases and database users
            server:delete-databases: Allow members to delete databases and database users
            server:create-backups: Allow members to create database backup configurations
            server:delete-backups: Allow members to delete database backup configurations
            server:create-daemons: Allow members to create daemons
            server:delete-daemons: Allow members to delete daemons
            server:create-schedulers: Allow members to create scheduled jobs
            server:delete-schedulers: Allow members to delete scheduled jobs
            server:web-terminal: Allow members to start web terminal sessions
            site:create: Allow members to create sites
            site:delete: Allow members to delete sites
            site:meta: >-
              Allow members to update site meta data such as domain name and
              aliases
            site:manage-commands: >-
              Allow members to run arbitrary commands from the site‘s root
              directory
            site:manage-deploys: Allow members to deploy the site and update the deployment script
            site:manage-nginx: Allow members to manage the site‘s Nginx configuration file
            site:manage-project: >-
              Allow members to install Git repositories, phpMyAdmin and
              WordPress applications
            site:manage-environment: Allow members to update the site‘s environment file
            site:manage-notifications: Allow members to configure deployment notifications
            site:manage-queues: Allow members to configure queue workers
            site:manage-redirects: Allow members to configure URL redirects
            site:manage-security: Allow members to configure HTTP Basic Authentication
            site:manage-ssl: Allow members to configure SSL and Let‘s Encrypt certificates
            site:manage-integrations: Allow members to manage site integrations
            site:manage-heartbeats: Allow members to manage heartbeats
            credential:view: Allow members to view credentials
            credential:manage: Allow members to manage credentials
            team:view: Allow members to view teams
            team:create: Allow members to create teams
            team:delete: Allow members to delete teams and team members
            recipe:view: Allow members to view recipes
            recipe:manage: Allow members to manage recipes
            billing:manage: Allow members to manage the organization's subscription
            storage:manage: Allow members to manage the organization's storage providers.
            integrations:manage: Allow members to manage the organization's integrations
            user:view: Allow members to view user details
            resources:view: Allow members to view resources
            resources:create-databases: Allow members to create managed database & cache clusters
            resources:delete-databases: Allow members to delete managed database & cache clusters
            resources:manage-databases: Allow members to manage managed database & cache clusters settings
            resources:create-buckets: Allow members to create object storage buckets
            resources:delete-buckets: Allow members to delete object storage buckets
            resources:manage-buckets: >-
              Allow members to manage object storage buckets and their access
              keys

````